Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RW_Thread_Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/RW_Mutex.h"`
`#include "ace/RW_Thread_Mutex.inl"`

Include dependency graph for RW_Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | ACE_RW_Thread_Mutex
| Wrapper for readers/writer locks that exist within a process. More...

## Detailed Description

Id:
  RW_Thread_Mutex.h,v 4.1 2003/08/04 03:53:52 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>